package com.unipi.talepis.demosqlite67;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    SQLiteDatabase db;
    EditText editText1,editText2;
    TextView textView1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText1 = findViewById(R.id.editText1);
        editText2 = findViewById(R.id.editText2);
        textView1 = findViewById(R.id.textView1);
        db = openOrCreateDatabase("DemoDB",MODE_PRIVATE,null);
        db.execSQL("CREATE TABLE IF NOT EXISTS " +
                "DEMOUSER(u_name VARCHAR, u_tel VARCHAR);");
    }
    public void insert(View view){
        String name = editText1.getText().toString();
        String tel = editText2.getText().toString();
        db.execSQL("INSERT INTO DEMOUSER VALUES('"+name+"','"+tel+"');");
        Toast.makeText(this,"Record Added!",Toast.LENGTH_SHORT).show();
    }
    public void select(View view){
        Cursor cursor = db.rawQuery("SELECT * FROM DEMOUSER",null);
        if (cursor.getCount()==0){
            Toast.makeText(this,"No records found",Toast.LENGTH_SHORT).show();
        }else {
            StringBuffer buffer = new StringBuffer();
            while (cursor.moveToNext()){
                buffer.append("Name: "+cursor.getString(0)+"\n");
                buffer.append("Telephone: "+cursor.getString(1)+"\n");
                buffer.append("----------------------------------------------\n");
            }
            showMessage(buffer.toString());
        }
    }
    private void showMessage(String message){
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setCancelable(true);
        builder.setTitle("Contacts");
        builder.setMessage(message);
        builder.show();
    }
}
